@charset "utf-8";

/* 
放到那都能用，不冲突

选择器 not
除了最后一个，其他都加上 
-------------------------------------------
li:not(:last-child) {
 border-right: 1px solid #666;
} 


内容垂直居中 
-------------------------------------------
display: table-cell;
vertical-align: middle;

display: flex;
justify-content: center;
align-items: center;


背景 
background-size IE9+
-------------------------------------------
background-repeat: no-repeat;
background-position: center center;
background-size: cover;
background-color: #fff;
background-image: url(../images/1585803735.jpg);


透明 opacity 方法 
-------------------------------------------
filter: alpha(opacity=50);
-webkit-opacity: 0.5;
opacity: 0.5;


背景透明 IE9+
-------------------------------------------
background:rgba(0,0,0,0.5); 


input placeholder IE10+ 
Chrome/Opera/Safari   Firefox 19+   Firefox 18+   IE 10+
设置同一字体颜色、字号  
-------------------------------------------
::-webkit-input-placeholder{color:#999;}
::-moz-placeholder{color:#999;} 
:-moz-placeholder{color:#999;}
:-ms-input-placeholder{color:#999;}



选择文本时背景颜色 
selection IE9+
-------------------------------------------
::-webkit-selection { background: red;}
::selection { background: red; } 

阴影
-------------------------------------------
-webkit-box-shadow: 0 0 0 #000;
-moz-box-shadow: 0 0 0 #000;
box-shadow: 0 0 0 #000;
	
*/


/*默认 ie8+ */
.w-box-c {
	-webkit-box-sizing: content-box;
	-moz-box-sizing: content-box;
	-o-box-sizing: content-box;
	-ms-box-sizing: content-box;
	box-sizing: border-box;
}

.w-box-b {
	-webkit-box-sizing: border-box;
	-moz-box-sizing: border-box;
	-o-box-sizing: border-box;
	-ms-box-sizing: border-box;
	box-sizing: border-box;
}

/*全大写*/
.w-tru {
	text-transform: uppercase
}

/*每个单词的开头大写*/
.w-trc {
	text-transform: capitalize
}

/*全小写*/
.w-trl {
	text-transform: lowercase
}


.w-img100 {
	max-width: 100%;
}

.w-imgscale {
	-webkit-transition: all 0.3s;
	transition: all 0.3s;
}

.w-imgscale:hover {
	-webkit-transform: scale(1.05);
	transform: scale(1.05);
}

.w-fl,
.w-lt,
.w-left {
	float: left;
}

.w-fr,
.w-rt,
.w-right {
	float: right;
}

.w-ti {
	overflow: hidden;
	text-indent: -30000px;
}

.w-table {
	border-collapse: collapse;
	border-spacing: 0;
}

.w-tc {
	text-align: center
}

.w-dpn {
	display: none;
}

.w-dpb {
	display: block;
}

.w-dpi {
	display: inline;
}

.w-dpib {
	display: inline-block;
}


/* 清浮动 */


.w-cf,
.w-cf-ul,
.w-clearfix {
	zoom: 1
}

.w-cf:after,
.w-cf-ul:after,
.w-clearfix:after {
	content: "\200B";
	display: block;
	height: 0;
	clear: both;
}

.w-clear {
	clear: both;
	float: none;
	height: 0;
	margin: 0;
	padding: 0;
	width: 0;
	overflow: hidden;
}

/* 禁止换行 */
.w-nowrap {
	white-space: nowrap;
}

.w-break-all {
	word-break: break-all;
}


/* 单行文本溢出 点点点 */
.w-oh {
	overflow: hidden;
	word-wrap: normal;
	white-space: nowrap;
	text-overflow: ellipsis;
}

/* 多行文本溢出 点点点
 -webkit-line-clamp:4; 显示多少行文本 
 -webkit-box-orient: vertical; 方向 
 */
.w-oh-y {
	display: -webkit-box !important;
	overflow: hidden;
	text-overflow: ellipsis;
	word-break: break-all;
	-webkit-line-clamp: 4;
	-webkit-box-orient: vertical;
}

/* 分页 */
.pagination {
	display: inline-block;
	padding-left: 0;
	margin: 20px 0;
	border-radius: 4px
}

.pagination>li {
	display: inline
}

.pagination>li>a,
.pagination>li>span {
	position: relative;
	float: left;
	padding: 6px 12px;
	margin-left: -1px;
	line-height: 1.42857143;
	color: #333;
	text-decoration: none;
	background-color: #fff;
	border: 1px solid #ddd
}

.pagination>li:first-child>a,
.pagination>li:first-child>span {
	margin-left: 0;
	border-top-left-radius: 4px;
	border-bottom-left-radius: 4px
}

.pagination>li:last-child>a,
.pagination>li:last-child>span {
	border-top-right-radius: 4px;
	border-bottom-right-radius: 4px
}

.pagination>li>a:focus,
.pagination>li>a:hover,
.pagination>li>span:focus,
.pagination>li>span:hover {
	z-index: 2;
	color: #333;
	background-color: #eee;
	border-color: #ddd
}

.pagination>.active>a,
.pagination>.active>a:focus,
.pagination>.active>a:hover,
.pagination>.active>span,
.pagination>.active>span:focus,
.pagination>.active>span:hover {
	z-index: 3;
	color: #fff;
	cursor: default;
	background-color: #333;
	border-color: #333
}

.pagination>.disabled>a,
.pagination>.disabled>a:focus,
.pagination>.disabled>a:hover,
.pagination>.disabled>span,
.pagination>.disabled>span:focus,
.pagination>.disabled>span:hover {
	color: #777;
	cursor: not-allowed;
	background-color: #fff;
	border-color: #ddd
}

.pagination-lg>li>a,
.pagination-lg>li>span {
	padding: 10px 16px;
	font-size: 18px;
	line-height: 1.3333333
}

.pagination-lg>li:first-child>a,
.pagination-lg>li:first-child>span {
	border-top-left-radius: 6px;
	border-bottom-left-radius: 6px
}

.pagination-lg>li:last-child>a,
.pagination-lg>li:last-child>span {
	border-top-right-radius: 6px;
	border-bottom-right-radius: 6px
}

.pagination-sm>li>a,
.pagination-sm>li>span {
	padding: 5px 10px;
	font-size: 12px;
	line-height: 1.5
}

.pagination-sm>li:first-child>a,
.pagination-sm>li:first-child>span {
	border-top-left-radius: 3px;
	border-bottom-left-radius: 3px
}

.pagination-sm>li:last-child>a,
.pagination-sm>li:last-child>span {
	border-top-right-radius: 3px;
	border-bottom-right-radius: 3px
}

.pager {
	padding-left: 0;
	margin: 20px 0;
	text-align: center;
	list-style: none
}

.pager li {
	display: inline
}

.pager li>a,
.pager li>span {
	display: inline-block;
	padding: 5px 14px;
	background-color: #fff;
	border: 1px solid #ddd;
	border-radius: 15px
}

.pager li>a:focus,
.pager li>a:hover {
	text-decoration: none;
	background-color: #eee
}

.pager .next>a,
.pager .next>span {
	float: right
}

.pager .previous>a,
.pager .previous>span {
	float: left
}

.pager .disabled>a,
.pager .disabled>a:focus,
.pager .disabled>a:hover,
.pager .disabled>span {
	color: #777;
	cursor: not-allowed;
	background-color: #fff
}


/* 
 * 文章排版 
 * https://typo.sofi.sh/
*/

.typo {
	font-size: 16px;
	line-height: 1.8;
}

.typo a {
	border-bottom: 1px solid #eee;
}

.typo a:hover {
	border-bottom-color: #ccc;
	color: #333;
	text-decoration: none;
}

/* 保证块/段落之间的空白隔行 */
.typo p,
.typo pre,
.typo ul,
.typo ol,
.typo dl,
.typo form,
.typo hr,
.typo table,
.typo-p,
.typo-pre,
.typo-ul,
.typo-ol,
.typo-dl,
.typo-form,
.typo-hr,
.typo-table,
blockquote {
	margin-bottom: 0.6em
}

/* 标题应该更贴紧内容，并与其他块区分，margin 值要相应做优化 */
.typo h1,
.typo h2,
.typo h3,
.typo h4,
.typo h5,
.typo h6,
.typo-h1,
.typo-h2,
.typo-h3,
.typo-h4,
.typo-h5,
.typo-h6 {
	font-weight: 400;
	margin-top: 1.2em;
	margin-bottom: 0.6em;
	line-height: 1.35;
}

.typo h1:first-of-type,
.typo h2:first-of-type,
.typo h3:first-of-type,
.typo h4:first-of-type,
.typo h5:first-of-type,
.typo h6:first-of-type {
	margin-top: 0
}

.typo-h1 {
	font-size: 2em;
}

.typo-h2 {
	font-size: 1.8em;
}

.typo-h3 {
	font-size: 1.6em;
}

.typo-h4 {
	font-size: 1.4em;
}

.typo-h5,
.typo-h6 {
	font-size: 1.2em;
}


/* 在文章中，应该还原 ul 和 ol 的样式 */
.typo ul,
.typo-ul {
	margin-left: 1.3em;
	list-style: disc;
}

.typo ol,
.typo-ol {
	list-style: decimal;
	margin-left: 1.9em;
}

.typo li ul,
.typo li ol,
.typo-ul ul,
.typo-ul ol,
.typo-ol ul,
.typo-ol ol {
	margin-bottom: 0.8em;
	margin-left: 2em;
}

.typo li ul,
.typo-ul ul,
.typo-ol ul {
	list-style: circle;
}

.typo hr {
	border: none;
	border-bottom: 1px solid #cfcfcf;
	margin-bottom: 0.8em;
	height: 10px;
}

/* table 基本格式 */
.typo table {
	border-collapse: collapse;
	border-spacing: 0;
}
.typo table th,
.typo table td,
.typo table caption {
	border: 1px solid #ddd;
	padding: 0.5em 1em;
	color: #666;
}
.typo table th{
  background: #fbfbfb;
}

.typo table thead th{
  background: #f1f1f1;
}

.typo table caption {
  border-bottom: none;
}


.typo-table th,
.typo-table td,
.typo-table caption {
	border: 1px solid #ddd;
	padding: 0.5em 1em;
	color: #666;
}

.typo-table th {
	background: #fbfbfb;
}

.typo-table thead th {
	background: #f1f1f1;
}

.typo-table caption {
	border-bottom: none;
}

.typo strong {
	font-weight: bold;
}

.typo em {
	font-style: italic;
}

.typo img {
	max-width: 100%;
}

/* 着重号，只能在少量（少于100个字符）且全是全角字符的情况下使用 */
.typo-em {
	position: relative;
}

.typo-em:after {
	position: absolute;
	top: 0.65em;
	left: 0;
	width: 100%;
	overflow: hidden;
	white-space: nowrap;
	content: "・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・・";
}

.typo video{background:#f1f1f1}






.table {
	width: 100%;
	max-width: 100%;
	margin-bottom: 20px;
}
.table > thead > tr > th,
.table > tbody > tr > th,
.table > tfoot > tr > th,
.table > thead > tr > td,
.table > tbody > tr > td,
.table > tfoot > tr > td {
	padding: 8px;
	line-height: 1.42857143;
	vertical-align: top;
	border-top: 1px solid #dddddd;
}
.table > thead > tr > th {
	vertical-align: bottom;
	border-bottom: 2px solid #dddddd;
}
.table > caption + thead > tr:first-child > th,
.table > colgroup + thead > tr:first-child > th,
.table > thead:first-child > tr:first-child > th,
.table > caption + thead > tr:first-child > td,
.table > colgroup + thead > tr:first-child > td,
.table > thead:first-child > tr:first-child > td {
	border-top: 0;
}
.table > tbody + tbody {
	border-top: 2px solid #dddddd;
}
.table .table {
	background-color: #ffffff;
}
.table-condensed > thead > tr > th,
.table-condensed > tbody > tr > th,
.table-condensed > tfoot > tr > th,
.table-condensed > thead > tr > td,
.table-condensed > tbody > tr > td,
.table-condensed > tfoot > tr > td {
	padding: 5px;
}
.table-bordered {
	border: 1px solid #dddddd;
}
.table-bordered > thead > tr > th,
.table-bordered > tbody > tr > th,
.table-bordered > tfoot > tr > th,
.table-bordered > thead > tr > td,
.table-bordered > tbody > tr > td,
.table-bordered > tfoot > tr > td {
	border: 1px solid #dddddd;
}
.table-bordered > thead > tr > th,
.table-bordered > thead > tr > td {
	border-bottom-width: 2px;
}
.table-striped > tbody > tr:nth-of-type(odd) {
	background-color: #f9f9f9;
}
.table-hover > tbody > tr:hover {
	background-color: #f5f5f5;
}
.table > thead > tr > td.active,
.table > tbody > tr > td.active,
.table > tfoot > tr > td.active,
.table > thead > tr > th.active,
.table > tbody > tr > th.active,
.table > tfoot > tr > th.active,
.table > thead > tr.active > td,
.table > tbody > tr.active > td,
.table > tfoot > tr.active > td,
.table > thead > tr.active > th,
.table > tbody > tr.active > th,
.table > tfoot > tr.active > th {
	background-color: #f5f5f5;
}
.table-hover > tbody > tr > td.active:hover,
.table-hover > tbody > tr > th.active:hover,
.table-hover > tbody > tr.active:hover > td,
.table-hover > tbody > tr:hover > .active,
.table-hover > tbody > tr.active:hover > th {
	background-color: #e8e8e8;
}
.table > thead > tr > td.success,
.table > tbody > tr > td.success,
.table > tfoot > tr > td.success,
.table > thead > tr > th.success,
.table > tbody > tr > th.success,
.table > tfoot > tr > th.success,
.table > thead > tr.success > td,
.table > tbody > tr.success > td,
.table > tfoot > tr.success > td,
.table > thead > tr.success > th,
.table > tbody > tr.success > th,
.table > tfoot > tr.success > th {
	background-color: #dff0d8;
}
.table-hover > tbody > tr > td.success:hover,
.table-hover > tbody > tr > th.success:hover,
.table-hover > tbody > tr.success:hover > td,
.table-hover > tbody > tr:hover > .success,
.table-hover > tbody > tr.success:hover > th {
	background-color: #d0e9c6;
}
.table > thead > tr > td.info,
.table > tbody > tr > td.info,
.table > tfoot > tr > td.info,
.table > thead > tr > th.info,
.table > tbody > tr > th.info,
.table > tfoot > tr > th.info,
.table > thead > tr.info > td,
.table > tbody > tr.info > td,
.table > tfoot > tr.info > td,
.table > thead > tr.info > th,
.table > tbody > tr.info > th,
.table > tfoot > tr.info > th {
	background-color: #d9edf7;
}
.table-hover > tbody > tr > td.info:hover,
.table-hover > tbody > tr > th.info:hover,
.table-hover > tbody > tr.info:hover > td,
.table-hover > tbody > tr:hover > .info,
.table-hover > tbody > tr.info:hover > th {
	background-color: #c4e3f3;
}
.table > thead > tr > td.warning,
.table > tbody > tr > td.warning,
.table > tfoot > tr > td.warning,
.table > thead > tr > th.warning,
.table > tbody > tr > th.warning,
.table > tfoot > tr > th.warning,
.table > thead > tr.warning > td,
.table > tbody > tr.warning > td,
.table > tfoot > tr.warning > td,
.table > thead > tr.warning > th,
.table > tbody > tr.warning > th,
.table > tfoot > tr.warning > th {
	background-color: #fcf8e3;
}
.table-hover > tbody > tr > td.warning:hover,
.table-hover > tbody > tr > th.warning:hover,
.table-hover > tbody > tr.warning:hover > td,
.table-hover > tbody > tr:hover > .warning,
.table-hover > tbody > tr.warning:hover > th {
	background-color: #faf2cc;
}
.table > thead > tr > td.danger,
.table > tbody > tr > td.danger,
.table > tfoot > tr > td.danger,
.table > thead > tr > th.danger,
.table > tbody > tr > th.danger,
.table > tfoot > tr > th.danger,
.table > thead > tr.danger > td,
.table > tbody > tr.danger > td,
.table > tfoot > tr.danger > td,
.table > thead > tr.danger > th,
.table > tbody > tr.danger > th,
.table > tfoot > tr.danger > th {
	background-color: #f2dede;
}
.table-hover > tbody > tr > td.danger:hover,
.table-hover > tbody > tr > th.danger:hover,
.table-hover > tbody > tr.danger:hover > td,
.table-hover > tbody > tr:hover > .danger,
.table-hover > tbody > tr.danger:hover > th {
	background-color: #ebcccc;
}
.table-responsive {
	min-height: .01%;
	overflow-x: auto;
}
@media screen and (max-width: 767px) {
	.table-responsive {
		width: 100%;
		margin-bottom: 15px;
		overflow-y: hidden;
		-ms-overflow-style: -ms-autohiding-scrollbar;
		border: 1px solid #dddddd;
	}
	.table-responsive > .table {
		margin-bottom: 0;
	}
	.table-responsive > .table > thead > tr > th,
	.table-responsive > .table > tbody > tr > th,
	.table-responsive > .table > tfoot > tr > th,
	.table-responsive > .table > thead > tr > td,
	.table-responsive > .table > tbody > tr > td,
	.table-responsive > .table > tfoot > tr > td {
		white-space: nowrap;
	}
	.table-responsive > .table-bordered {
		border: 0;
	}
	.table-responsive > .table-bordered > thead > tr > th:first-child,
	.table-responsive > .table-bordered > tbody > tr > th:first-child,
	.table-responsive > .table-bordered > tfoot > tr > th:first-child,
	.table-responsive > .table-bordered > thead > tr > td:first-child,
	.table-responsive > .table-bordered > tbody > tr > td:first-child,
	.table-responsive > .table-bordered > tfoot > tr > td:first-child {
		border-left: 0;
	}
	.table-responsive > .table-bordered > thead > tr > th:last-child,
	.table-responsive > .table-bordered > tbody > tr > th:last-child,
	.table-responsive > .table-bordered > tfoot > tr > th:last-child,
	.table-responsive > .table-bordered > thead > tr > td:last-child,
	.table-responsive > .table-bordered > tbody > tr > td:last-child,
	.table-responsive > .table-bordered > tfoot > tr > td:last-child {
		border-right: 0;
	}
	.table-responsive > .table-bordered > tbody > tr:last-child > th,
	.table-responsive > .table-bordered > tfoot > tr:last-child > th,
	.table-responsive > .table-bordered > tbody > tr:last-child > td,
	.table-responsive > .table-bordered > tfoot > tr:last-child > td {
		border-bottom: 0;
	}
}